Loading...
Searching...
No Matches
opencc::DictEntry Class Referenceabstract
OpenCC C++ Comprehensive API

Key-values pair entry. More...

`#include <src/DictEntry.hpp>`

Inheritance diagram for opencc::DictEntry:

## Public Member Functions

virtual std::string_view | KeyView () const =0
virtual std::string_view | GetDefaultView () const =0
virtual std::string | Key () const
virtual std::vector< std::string > | Values () const =0
virtual std::string | GetDefault () const
virtual size_t | NumValues () const =0
virtual std::string | ToString () const =0
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Static Public Member Functions

static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Detailed Description

Key-values pair entry.

The documentation for this class was generated from the following file:

- DictEntry.hpp